Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000168Core InformPhrases and functional programmingpublic2010-07-04 15:312010-10-28 00:30
Reportersoukie 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000168: Incorrectly identifying error as deprecated syntax in Standard Rules
DescriptionAn error report can incorrectly claim the error is in the Standard Rules.

(Note that the code is not syntactically correct now but used to be so people might be encountering this problem)
Minimal Source Text To Reproduce
"Test"

Use no deprecated features.

Tunnel is a room.

Understand "walk [text]" as a mistake ("Try to WALK NORTH or WALK SOUTH.") when in 
the Tunnel.
Additional InformationThe error report incorrectly states:

In Part SR4 - Actions, Section SR4/10 - Grammar in the extension Standard Rules by Graham Nelson:

Problem. ''Understand "go" as going' ' uses a phrase which is now deprecated: you should rephrase to avoid the need for it. I'd normally allow this, but you have the 'Use no deprecated features' option set.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000489)
graham (administrator)
2010-09-02 14:17

It is now correctly located.

- Issue History
Date Modified Username Field Change
2010-07-04 15:31 soukie New Issue
2010-07-04 16:23 jmcgrew Priority low => normal
2010-07-04 16:23 jmcgrew Status new => acknowledged
2010-07-04 16:23 jmcgrew Summary Incorrectly identifying error as depracated syntax in Standard Rulesn => Incorrectly identifying error as deprecated syntax in Standard Rules
2010-07-05 14:34 EmacsUser Status acknowledged => confirmed
2010-09-02 14:17 graham Note Added: 0000489
2010-09-02 14:17 graham Status confirmed => resolved
2010-09-02 14:17 graham Resolution open => fixed
2010-09-02 14:17 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker